<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<HTML>
<HEAD>
<TITLE>Manual Update of Server Description</TITLE>
<LINK rev=made href="mailto:harvest+feedback@transarc.com">
</HEAD>

<BODY>
<H1>Manual Update of Server Description</H1>

<P> Use this form to perform manual updates of the description file
<PRE>
	@FILE@
</PRE>
<HR>

<form action="@UPDATEURL@" method="POST">
<input type="HIDDEN" name="TYPE" value="@TYPE@">
<input type="HIDDEN" name="FILE" value="@FILE@">
<input type="HIDDEN" name="HOME" value="@HOME@">

<H2>Mandatory Attributes</H2>

<P> Mandatory attributes are required for the description file.  The
update will fail if you do not provide values for the mandatory fields.
</P>

@MANDATORY@

<H2>Recommended Attributes</H2>

<P> Recommended attributes have a predefined meaning that is common to
all Harvest servers.  For example, the tag <EM>Organization</EM> is
always the name of the organization that maintains the server.  However,
recommended attributes need not be provided for all servers. </P>

@RECOMMENDED@

<H2>Optional Attributes </H2>

<P> Optional attributes have no predefined meaning.  Two different
servers may have optional attributes with the same tag, but different
meanings.  Use the form below to add new optional attributes.</P>

@OPTIONAL@

<P>
<INPUT TYPE="submit" VALUE="Update">
<INPUT TYPE="reset" VALUE="Clear">
<P>

</form>

<HR>
<H2>Add New Optional Attributes</H2>

<form action="@ADDOPTURL@" method="POST">
<input type="HIDDEN" name="TYPE" value="@TYPE@">
<input type="HIDDEN" name="FILE" value="@FILE@">
<input type="HIDDEN" name="HOME" value="@HOME@">
<H4>Tag</H4>

<P> Specify the field name for the new attribute:<BR>
<INPUT NAME="TAG" TYPE=TEXT SIZE=40>
</P>

<H4>Value</H4>
<P> Specify the value for the new attribute:<BR>
<INPUT NAME="VALUE" TYPE=TEXT SIZE=70>
</P>

<P>
<INPUT TYPE="submit" VALUE="Add Attribute">
<INPUT TYPE="reset" VALUE="Clear">
<P>

</form>

<HR>
<ADDRESS>
<A HREF="http://harvest.cs.colorado.edu">Harvest Information System</A>.
<!-- hhmts start -->
Last modified: Thu Jul  6 13:06:16 EDT 1995
<!-- hhmts end -->
</ADDRESS>

</BODY>
</HTML>
